const author              = "Renato Rodrigues (RRaver)";
const displayName         = "Orkut Toolbar";
const name                = "orkutbar";
const jarName             = name + ".jar";
const version             = "1.4.1";

var contentFlag = CONTENT | PROFILE_CHROME;
var error       = null;
var folder      = getFolder("Current User", "chrome");
var localeFlag  = LOCALE | PROFILE_CHROME;
var skinFlag    = SKIN | PROFILE_CHROME;

initInstall(displayName, name, version);
setPackageFolder(folder);
error = addFile(name, version, "chrome/" + jarName, folder, null);
const prefDirs = [ getFolder(getFolder('Profile'),'pref') , getFolder(getFolder(getFolder('Program'),'defaults'),'pref') ];
for(var j=prefDirs.length-1; j>=0; j--) {
	var prefDir = prefDirs[j];
	if(!File.exists(prefDir)) {File.dirCreate(prefDir);}
	var errPref = addFile(null, 'defaults/preferences/' + name + '.js', prefDir, null);
	if (errPref != SUCCESS) alert("Default preferences failed to install.");
}

if(error == SUCCESS){
    folder = getFolder(folder, jarName);

    registerChrome(contentFlag, folder, "content/");
    registerChrome(localeFlag, folder, "locale/en-US/");
    registerChrome(localeFlag, folder, "locale/pt-BR/");
    registerChrome(skinFlag, folder, "skin/");

    error = performInstall();

    if(error != SUCCESS && error != 999 && error != -239) {   // If the install failed
        displayError(error);
    	cancelInstall(error);
    	}
	else {
        alert(displayName + " was successfully installed. Restart your browser to finish the installation\n" + displayName + " foi instalada com sucesso. Reinicie seu navegador para terminar a instalao");
	}

}
else {
    displayError(error);
	cancelInstall(error);
}

function displayError(error) { // Displays the error message to the user
    if(error == -215) {  // If the error code was -215
        alert("The installation of the " + displayName + " extension failed.\nOne of the files being overwritten is read-only.");
	    }
    else if(error == -235) {
        alert("The installation of the " + displayName + " extension failed.\nThere is insufficient disk space.");
    	}
    else { alert("The installation of the " + displayName + " extension failed.\nThe error code is: " + error); }
}